## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		zmusic
Version:	1.1.14
Release:	%autorelease
Summary:	GZDoom's music system as a standalone library 

License:	GPL-3.0-only AND LGPL-3.0-only AND Zlib
URL:		https://github.com/ZDoom/ZMusic
Source:		%{url}/archive/refs/tags/%{version}.tar.gz

Patch:		zmusic-1.1.14-0001-unbundle-fluidsynth.patch
Patch:		zmusic-1.1.14-0002-unbundle-libxmp.patch

BuildRequires:	g++
BuildRequires:	cmake
BuildRequires:	alsa-lib-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	libxmp-devel
BuildRequires:	mpg123-devel
BuildRequires:	libsndfile-devel

# unavailable
Provides:       bundled(adlmidi)        = 1.5.1
# patched (kode54/dumb)
Provides:       bundled(dumb)           = 1.0.0
# patched
Provides:       bundled(game-music-emu) = 0.6.2
# game-music-emu uses this
Provides:       bundled(miniz)          = 3.0.0
# patched
Provides:       bundled(oplsynth)
# unavailable
Provides:       bundled(opnmidi)        = 1.5.1
# timidity
Provides:       bundled(timidity)
# patched
Provides:       bundled(timidity++)
# patched
Provides:       bundled(wildmidi)

%package	lite
Summary:	GZDoom's music system as a standalone library, Lite version
License:	LGPL-2.1-only

%package	devel
Summary:	Libraries for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-headers = %{version}-%{release}

%package	lite-devel
Summary:	Libraries for %{name}-lite
Requires:	%{name}-lite%{?_isa} = %{version}-%{release}
Requires:	%{name}-headers = %{version}-%{release}
License:	LGPL-2.1-only

%package	headers
Summary:	Header files for %{name}
Requires:	((%{name}-devel%{?_isa} = %{version}-%{release}) or (%{name}-lite-devel%{?_isa} = %{version}-%{release}))
License:	GPL-3.0-only

%description
GZDoom's music system as a standalone library

%description	lite
GZDoom's music system as a standalone library, Lite version

%description	devel
The %{name}-devel package contains libraries needed for developing
applications that use %{name}

%description	lite-devel
The %{name}-lite-devel package contains libraries needed for developing
applications that use %{name}-lite

%description	headers
The %{name}-headers package contains header files needed for developing
applications that use %{name} or %{name-lite}

%prep
%autosetup -n ZMusic-%{version} -p1
rm -rf thirdparty/fluidsynth
rm thirdparty/mpg123.h
rm thirdparty/sndfile.h

# https://github.com/ZDoom/ZMusic/issues/64
rm licenses/dumb.txt
cp thirdparty/dumb/licence.txt licenses/dumb.txt

%build
%cmake -DDYN_SNDFILE=OFF -DDYN_MPG123=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license licenses/*
%{_libdir}/libzmusic.so.1{,.*}

%files	lite
%license licenses/*
%{_libdir}/libzmusiclite.so.1{,.*}

%files	devel
%{_libdir}/libzmusic.so

%files	lite-devel
%{_libdir}/libzmusiclite.so

%files	headers
%{_includedir}/zmusic.h
%{_libdir}/cmake/ZMusic

%changelog
## START: Generated by rpmautospec
* Tue Dec 17 2024 John Doe <packager@example.com> - 1.1.14-1
- Uncommitted changes
## END: Generated by rpmautospec
